This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 824552 - Missing modprobe.conf(5) man page
Missing modprobe.conf(5) man page
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: kmod (Show other bugs)
17
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: kmod development team
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-05-23 13:57 EDT by Bill Nottingham
Modified: 2014-03-16 23:30 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-06-08 20:06:17 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Bill Nottingham 2012-05-23 13:57:19 EDT
Description of problem:

This used to exist in modutils/module-init-tools. It doens't exist in kmod, and it probably should.

Version-Release number of selected component (if applicable):

kmod-7-1.fc17.x86_64

How reproducible:

100%

Steps to Reproduce:
1. run 'man modprobe.conf'
  
Actual results:

No manual entry for modprobe.conf

Expected results:

a man page

Additional info:
Comment 1 Josh Boyer 2012-05-23 14:21:49 EDT
(In reply to comment #0)
> Description of problem:
> 
> This used to exist in modutils/module-init-tools. It doens't exist in kmod,
> and it probably should.

Hm...  maybe.  

kmod doesn't actually parse /etc/modprobe.conf at all.  You can put whatever you want in there and it's utterly ignored.  It _does_ look at anything ending in .conf in /etc/modprobe.d though, and it provides modprobe.d(5) already, which provides the same documentation as the old modprobe.conf(5) man page did.  (In m-i-t, the modprobe.d.sgml source file is just a symlink to modprobe.conf.sgml.)

So, given that it already ships the information required, is that sufficient?  Otherwise, I'm going to wind up making a symlink in the spec file that just points modprobe.conf -> modprobe.d
Comment 2 Bill Nottingham 2012-05-23 14:25:51 EDT
A spec file symlink so that 'man modprobe.conf' returns the new man page is fine with me.
Comment 3 Josh Boyer 2012-05-23 15:44:12 EDT
Fixed in git.  Will be in an F17 update shortly and rawhide tomorrow.
Comment 4 Fedora Update System 2012-05-24 11:05:41 EDT
kmod-7-2.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/FEDORA-2012-8264/kmod-7-2.fc17
Comment 5 Fedora Update System 2012-05-24 11:34:54 EDT
Package kmod-7-2.fc17:
* should fix your issue,
* was pushed to the Fedora 17 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing kmod-7-2.fc17'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2012-8264/kmod-7-2.fc17
then log in and leave karma (feedback).
Comment 6 Fedora Update System 2012-06-08 20:06:17 EDT
kmod-7-2.fc17 has been pushed to the Fedora 17 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.